@import 'styles/variables';
@import 'styles/fonts';
@import 'styles/layout';

@include respond-between(md, xlg) {
  .heroWrapper {
    grid-template-columns: 1fr 10fr 1fr;
  }
}

@include respond-above(xlg) {
  .heroWrapper {
    grid-template-columns: 1fr minmax(auto, $containerMaxWidth) 1fr;
  }
}

.backButtonWrapper {
  grid-column: 2;
  display: grid;
  grid-template-columns: 1fr 10fr 1fr;
}

.backButtonInnerWrapper {
  grid-column: 1;
  padding-top: 2rem;
  width: $logoWidth;
  display: flex;
  justify-content: center;
  button {
    background: white;
    width: 3.9rem;
    height: 3.9rem;
    border: none;
    border-radius: 50%;
  }
  @include respond-below(md) {
    display: none;
  }
}

.wrapper {
  background: var(--color-black-5);

  margin-top: 20rem;
  @include respond-above(md) {
    margin-top: 12rem;
  }
}

.heroWrapper {
  background-size: cover;
  background-position: center;
  width: 100%;
  height: 20rem;
  position: absolute;
  display: grid;
}

.attendees {
  display: flex;
  align-items: center;
  .icon {
    margin-right: $baseMargin;
  }
}

.signup {
  margin: $baseMargin 0;
  form {
    display: grid;
    grid-gap: $baseMargin;
    grid-template-columns: auto;
    @include respond-above(xs) {
      grid-template-columns: auto auto;
    }
    @include respond-above(md) {
      grid-template-columns: 3fr minmax(170px, 2fr) 40%;
    }
  }
}

.dateField {
  @include respond-above(md) {
    min-width: 15rem;
  }
}

.eventWrapper {
  @include respond-above(md) {
    z-index: 1;
  }
  display: grid;
  .event {
    @include respond-above(md) {
      padding: $largePadding;
      h1 {
        margin-top: 0;
      }
    }
    background-color: var(--color-white);
  }
  @include respond-below(md) {
    padding: 0 $basePadding;
    background: var(--color-white);
    padding-bottom: 5rem;
  }
  @include respond-above(lg) {
    grid-template-columns: 1fr 10fr 1fr;

    .event {
      grid-column: 2;
    }
  }
}

.occurrenceInfo {
  margin: $baseMargin 0;
  width: 100%;
  @include respond-above(md) {
    width: auto;
  }
  display: block;
  .label {
    display: inline-flex;
    width: min-content;
    @include respond-above(sm) {
      > * {
        margin-left: 0;
      }
    }
  }
  & > * {
    margin-left: 0;
    margin-right: $baseMargin;
  }
}

.participantsPerInvite {
  font-weight: $font-weight-bold;
  margin: $baseMargin 0;
}

.cancelButtonWrapper {
  display: flex;
  justify-content: center;

  button {
    max-width: 20rem;
    width: 100%;
  }

  @include respond-above(sm) {
    justify-content: normal;
  }
}
